Subject: bug#20729: closed (Re: bug#20729: true bugs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Jun 2015 05:03:04 +0000

Your bug report

#20729: true bugs

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20729: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20729
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20729: true bugs
From: Eric Blake <[email-masked]>
To: Dan Burton <[email-masked]>, [email-masked], GNU bug control <[email-masked]>
Date: Wed, 03 Jun 2015 23:02:26 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 20729 notabug
thanks

On 06/03/2015 10:00 PM, Dan Burton wrote:
> According to `man true', the --help and --version flags should have output.
> However, when I run `true --help' or `true --version', I get no output.
> These are "true bugs" (pun intended), so as instructed by the man page, I
> am reporting true bugs to [email-masked].

Thanks for the report.  However, you did not read enough of 'man true';
a bit further down, you would see:

       NOTE: your shell may have its own version of true, which usually
super‐
       sedes the version described here.  Please refer to your  shell's
 docu‐
       mentation for details about the options it supports.

And sure enough, compare the difference:

$ type true
true is a shell builtin

or use 'env' to force the standalone version rather than the builtin:

$ env true --help
Usage: true [ignored command line arguments]
  or:  true OPTION
Exit with a status code indicating success.

      --help     display this help and exit
      --version  output version information and exit

NOTE: your shell may have its own version of true, which usually supersedes
the version described here.  Please refer to your shell's documentation
for details about the options it supports.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/>
For complete documentation, run: info coreutils 'true invocation'

As such, I'm closing this as not a bug, but feel free to add further
comments.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: true bugs
From: Dan Burton <[email-masked]>
To: [email-masked]
Date: Wed, 3 Jun 2015 21:00:51 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

According to `man true', the --help and --version flags should have output.
However, when I run `true --help' or `true --version', I get no output.
These are "true bugs" (pun intended), so as instructed by the man page, I
am reporting true bugs to [email-masked].

-- Dan Burton